# kruiser.spec
%define version 0.4pre2
%define release 1
%define name kruiser
%define kdeprefix /usr
#%define qtver  qt1 >= 1.42

Summary: Krusier: An Explorer-like file manager
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System Environment/Shells
Source: kruiser-%{version}.tar.gz
BuildRoot: /tmp/%{name}-root


%description
Kruiser is a highly configurable file system Win95-like explorer with
many features such as smbmounts and ftp.

%changelog
* Tue Oct 12 1999 Chris Green <sprout@dok.org>
- updated to kruiser-0.4pre1.tar.gz

* Sun Oct 03 1999 Chris Green <sprout@dok.org>
- updated to kruiser-19990916
- updated for broken updates qtrpm

* Fri Sep 24 1999 Chris Green <sprout@dok.org>

- initialization of spec file.
- borrowed from korganizer spec

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-0.4

%build
export KDEDIR=%{kdeprefix}
./configure --prefix=%{kdeprefix} --with-install-root=$RPM_BUILD_ROOT  --with-qt-dir=/usr/lib/qt-1.44 
make CXXFLAGS="$RPM_OPTFLAGS" KDEDIR=%{kdeprefix}


%install
export KDEDIR=%{kdeprefix}
make install-strip prefix=$RPM_BUILD_ROOT%{kdeprefix}

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

# end of file
